org.keycloak.models.cache.infinispan

## Class RealmCacheManager

- java.lang.Object
- - org.keycloak.models.cache.infinispan.CacheManager
  - - org.keycloak.models.cache.infinispan.RealmCacheManager

-     public class RealmCacheManager
      extends CacheManager

  Author:
    Stian Thorgersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.jboss.logging.Logger` | `logger`

    - ### Fields inherited from class org.keycloak.models.cache.infinispan.CacheManager

      `cache, counter, revisions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RealmCacheManager(org.infinispan.Cache<String,Revisioned> cache, org.infinispan.Cache<String,Long> revisions)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clientAdded(String realmId, String id, Set<String> invalidations)`
    `void` | `clientInvalidation(String id, Set<String> invalidations)`
    `void` | `clientRemoval(String realmId, String id, Set<String> invalidations)`
    `void` | `clientTemplateInvalidation(String id, Set<String> invalidations)`
    `java.util.function.Predicate<Map.Entry<String,Revisioned>>` | `getClientAddedPredicate(String realmId)`
    `java.util.function.Predicate<Map.Entry<String,Revisioned>>` | `getClientInvalidationPredicate(String id)`
    `java.util.function.Predicate<Map.Entry<String,Revisioned>>` | `getClientRemovalPredicate(String realmId, String id)`
    `java.util.function.Predicate<Map.Entry<String,Revisioned>>` | `getClientTemplateInvalidationPredicate(String id)`
    `java.util.function.Predicate<Map.Entry<String,Revisioned>>` | `getGroupInvalidationPredicate(String id)`
    `protected java.util.function.Predicate<Map.Entry<String,Revisioned>>` | `getInvalidationPredicate(Object object)`
    `java.util.function.Predicate<Map.Entry<String,Revisioned>>` | `getRealmInvalidationPredicate(String id)`
    `java.util.function.Predicate<Map.Entry<String,Revisioned>>` | `getRealmRemovalPredicate(String id)`
    `java.util.function.Predicate<Map.Entry<String,Revisioned>>` | `getRoleInvalidationPredicate(String id)`
    `java.util.function.Predicate<Map.Entry<String,Revisioned>>` | `getRoleRemovalPredicate(String id)`
    `void` | `groupInvalidation(String id, Set<String> invalidations)`
    `void` | `realmInvalidation(String id, Set<String> invalidations)`
    `void` | `realmRemoval(String id, Set<String> invalidations)`
    `void` | `roleInvalidation(String id, Set<String> invalidations)`
    `void` | `roleRemoval(String id, Set<String> invalidations)`

    - ### Methods inherited from class org.keycloak.models.cache.infinispan.CacheManager

      `addInvalidations, addRevisioned, bumpVersion, cacheEvicted, cacheInvalidated, clear, endRevisionBatch, get, getCache, getCurrentCounter, getCurrentRevision, invalidateObject, runEvictions`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.jboss.logging.Logger logger

  - ### Constructor Detail

    - #### RealmCacheManager

          public RealmCacheManager(org.infinispan.Cache<String,Revisioned> cache,
                                   org.infinispan.Cache<String,Long> revisions)

  - ### Method Detail

    - #### realmInvalidation

          public void realmInvalidation(String id,
                                        Set<String> invalidations)

    - #### getRealmInvalidationPredicate

          public java.util.function.Predicate<Map.Entry<String,Revisioned>> getRealmInvalidationPredicate(String id)

    - #### clientInvalidation

          public void clientInvalidation(String id,
                                         Set<String> invalidations)

    - #### getClientInvalidationPredicate

          public java.util.function.Predicate<Map.Entry<String,Revisioned>> getClientInvalidationPredicate(String id)

    - #### roleInvalidation

          public void roleInvalidation(String id,
                                       Set<String> invalidations)

    - #### getRoleInvalidationPredicate

          public java.util.function.Predicate<Map.Entry<String,Revisioned>> getRoleInvalidationPredicate(String id)

    - #### groupInvalidation

          public void groupInvalidation(String id,
                                        Set<String> invalidations)

    - #### getGroupInvalidationPredicate

          public java.util.function.Predicate<Map.Entry<String,Revisioned>> getGroupInvalidationPredicate(String id)

    - #### clientTemplateInvalidation

          public void clientTemplateInvalidation(String id,
                                                 Set<String> invalidations)

    - #### getClientTemplateInvalidationPredicate

          public java.util.function.Predicate<Map.Entry<String,Revisioned>> getClientTemplateInvalidationPredicate(String id)

    - #### realmRemoval

          public void realmRemoval(String id,
                                   Set<String> invalidations)

    - #### getRealmRemovalPredicate

          public java.util.function.Predicate<Map.Entry<String,Revisioned>> getRealmRemovalPredicate(String id)

    - #### clientAdded

          public void clientAdded(String realmId,
                                  String id,
                                  Set<String> invalidations)

    - #### getClientAddedPredicate

          public java.util.function.Predicate<Map.Entry<String,Revisioned>> getClientAddedPredicate(String realmId)

    - #### clientRemoval

          public void clientRemoval(String realmId,
                                    String id,
                                    Set<String> invalidations)

    - #### getClientRemovalPredicate

          public java.util.function.Predicate<Map.Entry<String,Revisioned>> getClientRemovalPredicate(String realmId,
                                                                                                      String id)

    - #### roleRemoval

          public void roleRemoval(String id,
                                  Set<String> invalidations)

    - #### getRoleRemovalPredicate

          public java.util.function.Predicate<Map.Entry<String,Revisioned>> getRoleRemovalPredicate(String id)

    - #### getInvalidationPredicate

          protected java.util.function.Predicate<Map.Entry<String,Revisioned>> getInvalidationPredicate(Object object)

      Specified by:
        `getInvalidationPredicate` in class `CacheManager`

Copyright © 2016 JBoss by Red Hat. All rights reserved.